English CS2D Beta 0.1.2.6

90 replies
Goto Page
To the start Previous 1 2 3 4 5 Next To the start
21.06.15 09:50:35 pm
Up
Starkkz
Moderator
Offline Off
@user Pirates killer: I'd suggest you to put it on top of the code.
lol
21.06.15 09:56:35 pm
Up
Pirates killer
User
Offline Off
@user Starkkz: Not working , after i put it on the top , it just made other many bugs..
file cs2d [PK]Admin script V2 (32) Newbie scripting.
21.06.15 10:04:44 pm
Up
Milriko
User
Offline Off
Aren't silenced shots too overpowered? I mean i was aiming with a guy that had M4A1 and i couldn't hear him shooting to me, though i could see him, he was visible on my screen...
IMG:http://imgupload.pl/images/46791184149161885069.png
21.06.15 10:06:07 pm
Up
DC
Admin
Offline Off
@user Milriko: But the volume of silenced shots has not been changed at all in the new version. Just the shots are a bit less visible.
www.UnrealSoftware.de | www.CS2D.com | www.CarnageContest.com | Use the forum & avoid PMs!
21.06.15 10:10:40 pm
Up
Milriko
User
Offline Off
Oh they are changed, drastically
IMG:http://imgupload.pl/images/46791184149161885069.png
21.06.15 10:14:56 pm
Up
Steru
User
Offline Off
next bug:
https://youtu.be/UI4ahOJmVLo

about m4a1 volume. Now is more silent so was changed ;c

Andd maybe let's go back to old lua version. Now 90% scripts doesn't* work...
edited 1×, last 21.06.15 10:22:35 pm
IMG:http://imgupload.pl/images/34120863585969895632.png
21.06.15 10:16:41 pm
Up
stojmir
User
Offline Off
user Milriko has written:
Oh they are changed, drastically


True
Silenced weapons are 3-4 times less audible than in 1.2.5
21.06.15 10:19:59 pm
Up
francis007
BANNED
Offline Off
user Steru has written:
let's go back to old lua version. Now 90% scripts dont work...


I agree with Steru. Please add the old lua version!
21.06.15 10:24:20 pm
Up
CAMOKA
User
Offline Off
:user DC us No sound when you put the silencer on the M4A1 fow's some things right but in places have been so much better I want you to fix them in version 1.2.7 entered on the contrary, Mr. DC.

Respect;
CAMOKA
edited 1×, last 21.06.15 10:25:05 pm
ShowMap
21.06.15 10:24:59 pm
Up
DC
Admin
Offline Off
@user Steru: Thanks for the video and the bug report. This helps a lot!

For the silenced volume: Oh, I'll double check. Maybe I really changed it and forgot to add it to the changelog. But you're right then, it's overpowered in combination with the decreased visibility.

About LuaJIT: Yes, there seems to be a ton of problems with it. I tried some of the samples and they worked fine but more complex scripts seem to cause problems which is a very very bad thing. So I'm probably forced to switch back to the old Lua version even though user Starkkz will hate that... The drawbacks of LuaJIT are just much bigger then the benefits for the majority of users. At least this is what it looks like at the moment.
www.UnrealSoftware.de | www.CS2D.com | www.CarnageContest.com | Use the forum & avoid PMs!
21.06.15 10:32:05 pm
Up
sqpp15
Super User
Offline Off
@user DC:

Ohh, no, i also wanted LuaJIT, because of MySQL Compatibility :S
21.06.15 10:35:36 pm
Up
Starkkz
Moderator
Offline Off
@user DC: I am sure there are multiple solutions for such things, just let me try to help people solving them out.
lol
21.06.15 10:36:29 pm
Up
francis007
BANNED
Offline Off
user sqpp15 has written:
Ohh, no, i also wanted LuaJIT, because of MySQL Compatibility :S


and what is with the scripts? they dont working!
21.06.15 10:38:03 pm
Up
sqpp15
Super User
Offline Off
@user Starkkz: I agree with you.

We should do some tests, and try some solutions before fallback. LuaJIT could give really awesome features for CS2D. We know DC you are busy with S3, but this module such a really futuristic for this small game.

@user francis007: I am sure there is way to fix those, we just should take time for that.
edited 1×, last 21.06.15 10:41:10 pm
21.06.15 10:41:01 pm
Up
Starkkz
Moderator
Offline Off
@user francis007: There are several solutions for your scripts, you just have to open a new thread with your complete problem and I'll try to help you as much as I can.
lol
21.06.15 10:49:43 pm
Up
SaZ Dice
User
Offline Off
Bug Detected :

On The Sides Of The Screen, The Items Disappear, proof :

IMG:http://s22.postimg.org/vfk2en0nx/rp_blondie_citylife_v1_3_00001.jpg


IMG:http://s22.postimg.org/z1pvra719/rp_blondie_citylife_v1_3_00002.jpg


IMG:http://s22.postimg.org/9f3py0hzx/rp_blondie_citylife_v1_3_00003.jpg


IMG:http://s22.postimg.org/egb3zdpgd/rp_blondie_citylife_v1_3_00004.jpg]
21.06.15 10:50:35 pm
Up
Yates
Reviewer
Offline Off
@user Starkkz:
No need to start making threads. I suggest DC remove LuaJIT from the public version and fix the bugs on a private one. Problem solved. The community is happy with a working version and you get to help DC out on LuaJIT.
21.06.15 10:57:52 pm
Up
Talented Doge
User
Offline Off
Mama, finally stats is out, I don't know what to say! Thanks DC
Talented Doge
21.06.15 11:00:10 pm
Up
DC
Admin
Offline Off
I assumed that LuaJIT is 100% compatible so that's why I tried it. It's very bad that it breaks existing scripts.

So don't worry: We just have to evaluate things. Maybe the problems can be solved easily so that we can benefit from LuaJIT. If we can't solve them however we will simply switch back to the old Lua library.

Your scripts are not lost and they will work again soon. In one of both ways.

@user SaZ Dice: Thanks, that one was already pointed out by user Steru. I'm on it
edited 1×, last 21.06.15 11:01:12 pm
www.UnrealSoftware.de | www.CS2D.com | www.CarnageContest.com | Use the forum & avoid PMs!
21.06.15 11:00:28 pm
Up
MikuAuahDark
User
Offline Off
user DC has written:
CHANGED Now using ZEKE.LuaJIT2 module for Lua (Win/Linux version only)

I put this in console
Code:
1
lua ffi=require("ffi")

And i'm getting
Code:
1
LUA ERROR: [string "ffi=require("ffi")"]:1: module 'ffi' not found

Why?

EDIT: The reason of this because CS2D uses LuaJIT 2.0.0 beta-4 while FFI library is added in LuaJIT 2.0.0 beta-6
edited 1×, last 21.06.15 11:11:36 pm
Hello? Are you there, Tae Hanazono?
To the start Previous 1 2 3 4 5 Next To the start